package com.red.circle.other.app.inner.service.user.region;

import com.red.circle.other.inner.model.cmd.user.RegionAssistConfigQryCmd;
import com.red.circle.other.inner.model.cmd.user.SysRegionAssistCmd;
import com.red.circle.other.inner.model.dto.user.reigon.SysRegionAssistConfigDTO;
import com.red.circle.other.inner.enums.user.RegionAssistTypeEnum;
import java.util.List;

/**
 * 区域辅助数据.
 *
 * @author pengliang on 2023/9/15
 */
public interface RegionAssistConfigClientService {

  /**
   * 获取指定区域+类型辅助数据data.
   */
  String getAssistConfigData(RegionAssistTypeEnum type, String regionId);

  /**
   * 新增区域辅助数据
   */
  void add(SysRegionAssistCmd config);

  /**
   * 编辑区域辅助数据
   */
  void update(SysRegionAssistCmd config);

  /**
   * 删除区域辅助数据
   */
  void deleteById(String id, Long updateUser);

  /**
   * 查询区域辅助数据
   */
  List<SysRegionAssistConfigDTO> listByCondition(RegionAssistConfigQryCmd query);
}
